<template setup>
    <nav class="navbar navbar-expand-lg navbar-dark bg-secondary">
    <div class="container">
      <router-link :to="{name:'home'}" class="navbar-brand">NAVBAR</router-link>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <router-link :to="{name:'home'}" class="nav-link active" aria-current="page"><i class="bi bi-house-fill"></i> HOME</router-link>
          </li>
          <li class="nav-item">
            <router-link :to="{name:'about'}" class="nav-link"><i class="bi bi-file-person-fill"></i> ABOUT</router-link>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              OTHER
            </a>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="https://www.trattc.ac.th/v1/contact">วท.ตราด</a></li>
              <li><a class="dropdown-item" href="https://www.vec.go.th/Default.aspx?tabid=129">อาชีพศึกษาตราด</a></li>
              <li><hr class="dropdown-divider"></li>
              <li><a class="dropdown-item" href="https://www.moe.go.th/">กระทรวงศึกษาธิการ</a></li>
            </ul>
          </li>
          <li class="nav-item">
            <router-link :to="{name:'map'}" class="nav-link"><i class="bi bi-geo-alt-fill"></i> MAP</router-link>
          </li>
        </ul>
      </div>
    </div>
  </nav>
    <router-view></router-view>
  </template>
  
  <script setup>
    import { RouterView,RouterLink } from 'vue-router';
  </script>
  
  <style scoped>
  @import url('https://fonts.googleapis.com/css2?family=Sarabun:wght@300&display=swap');
  .navbar{
    font-family: 'Sarabun', sans-serif;
  }
  
  </style>